How to set the nested accordion in Vue Accordion

20 Aug 202613 minutes to read

Accordion supports to render nested level of Accordion by using content property. You can give nested Accordion content inside the parent Accordion content property by using v-slot template. In the Vue component, the v-slot directive is used to define a slot template in the component’s template where users can insert custom content.

<template>
    <div id="app">
         <ejs-accordion>
            <e-accordionitems>
                <e-accordionitem expanded='true' header='Video' :content="'NestedVideo'"></e-accordionitem>
                <template v-slot:NestedVideo>
                    <ejs-accordion>
                        <e-accordionitems>
                            <e-accordionitem header='Video Track1' ></e-accordionitem>
                            <e-accordionitem header='Video Track2' ></e-accordionitem>
                        </e-accordionitems>
                    </ejs-accordion>
                </template>
                <e-accordionitem header='Music' :content="'NestedMusic'"></e-accordionitem>
                <template v-slot:NestedMusic>
                    <ejs-accordion>
                        <e-accordionitems>
                            <e-accordionitem header='Music  Track1' ></e-accordionitem>
                            <e-accordionitem header='Music  Track2' ></e-accordionitem>
                            <e-accordionitem header='Music  New' :content="'NestedMusicNew'"></e-accordionitem>
                            <template v-slot:NestedMusicNew>
                                <ejs-accordion>
                                    <e-accordionitems>
                                        <e-accordionitem header='New  Track1' ></e-accordionitem>
                                        <e-accordionitem header='New  Track2' ></e-accordionitem>
                                    </e-accordionitems>
                                </ejs-accordion>
                            </template>
                        </e-accordionitems>
                    </ejs-accordion>
                </template>
                <e-accordionitem header='Images' :content="'NestedImages'"></e-accordionitem>
                <template v-slot:NestedImages>
                    <ejs-accordion>
                        <e-accordionitems>
                            <e-accordionitem header='Image Track1' ></e-accordionitem>
                            <e-accordionitem header='Image Track2' ></e-accordionitem>
                        </e-accordionitems>
                    </ejs-accordion>
                </template>
            </e-accordionitems>
        </ejs-accordion>
    </div>
</template>
<script setup>
import { AccordionComponent as EjsAccordion, AccordionItemDirective as EAccordionitem, AccordionItemsDirective as EAccordionitems } from "@syncfusion/ej2-vue-navigations";
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";
</style>
<template>
    <div id="app">
        <ejs-accordion>
            <e-accordionitems>
                <e-accordionitem expanded='true' header='Video' :content="'NestedVideo'"></e-accordionitem>
                <template v-slot:NestedVideo>
                    <ejs-accordion>
                        <e-accordionitems>
                            <e-accordionitem header='Video Track1' ></e-accordionitem>
                            <e-accordionitem header='Video Track2' ></e-accordionitem>
                        </e-accordionitems>
                    </ejs-accordion>
                </template>
                <e-accordionitem header='Music' :content="'NestedMusic'"></e-accordionitem>
                <template v-slot:NestedMusic>
                    <ejs-accordion>
                        <e-accordionitems>
                            <e-accordionitem header='Music  Track1' ></e-accordionitem>
                            <e-accordionitem header='Music  Track2' ></e-accordionitem>
                            <e-accordionitem header='Music  New' :content="'NestedMusicNew'"></e-accordionitem>
                            <template v-slot:NestedMusicNew>
                                <ejs-accordion>
                                    <e-accordionitems>
                                        <e-accordionitem header='New  Track1' ></e-accordionitem>
                                        <e-accordionitem header='New  Track2' ></e-accordionitem>
                                    </e-accordionitems>
                                </ejs-accordion>
                            </template>
                        </e-accordionitems>
                    </ejs-accordion>
                </template>
                <e-accordionitem header='Images' :content="'NestedImages'"></e-accordionitem>
                <template v-slot:NestedImages>
                    <ejs-accordion>
                        <e-accordionitems>
                            <e-accordionitem header='Image Track1' ></e-accordionitem>
                            <e-accordionitem header='Image Track2' ></e-accordionitem>
                        </e-accordionitems>
                    </ejs-accordion>
                </template>
            </e-accordionitems>
        </ejs-accordion>
    </div>
</template>
<script>

import { AccordionComponent, AccordionItemDirective, AccordionItemsDirective } from "@syncfusion/ej2-vue-navigations";

export default {
    name: "App",
    components: {
        "ejs-accordion": AccordionComponent,
        "e-accordionitems": AccordionItemsDirective,
        "e-accordionitem": AccordionItemDirective
    },
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";
</style>

How to set the nested Accordion in Angular Accordion

14 Aug 202610 minutes to read

Nested Accordions allow hierarchical organization of content within the Syncfusion Angular Accordion component, enabling multi-level expandable sections for applications like navigation menus, FAQs, or data trees. Render a child Accordion inside the content area of a parent Accordion item using Angular’s ng-template. This approach integrates the nested Accordion with full functionality, including expand/collapse behavior.

To set up nested Accordions, ensure the @syncfusion/ej2-angular-navigations package is installed and imported. Use ng-template inside each e-accordionitem tag with the #content attribute to define the item’s content area. Then, apply ng-template with a select attribute referencing an ID or class to map the nested content. Note that ng-template is an Angular core directive and requires no additional imports.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { AccordionModule } from '@syncfusion/ej2-angular-navigations'



import { Component, ViewChild } from '@angular/core';
import { AccordionComponent } from '@syncfusion/ej2-angular-navigations';
import { ExpandEventArgs, Accordion, AccordionClickArgs} from '@syncfusion/ej2-navigations';

@Component({
imports: [
         AccordionModule
    ],


standalone: true,
    selector: 'app-container',
    template: `
      <ejs-accordion>
        <e-accordionitems>
          <e-accordionitem expanded="true">
            <ng-template #header>
              <div>Video</div>
            </ng-template>
            <ng-template #content>
              <ejs-accordion>
                <e-accordionitems>
                  <e-accordionitem>
                    <ng-template #header>
                      <div>Video Track 1</div>
                    </ng-template>
                  </e-accordionitem>
                  <e-accordionitem>
                    <ng-template #header>
                      <div>Video Track 2</div>
                    </ng-template>
                  </e-accordionitem>
                </e-accordionitems>
              </ejs-accordion>
            </ng-template>
          </e-accordionitem>
          <e-accordionitem>
            <ng-template #header>
              <div>Music</div>
            </ng-template>
            <ng-template #content>
              <ejs-accordion>
                <e-accordionitems>
                  <e-accordionitem>
                    <ng-template #header>
                      <div>Music Track 1</div>
                    </ng-template>
                  </e-accordionitem>
                  <e-accordionitem>
                    <ng-template #header>
                      <div>Music Track 2</div>
                    </ng-template>
                  </e-accordionitem>
                  <e-accordionitem>
                    <ng-template #header>
                      <div>Music New</div>
                    </ng-template>
                    <ng-template #content>
                      <ejs-accordion>
                        <e-accordionitems>
                          <e-accordionitem>
                            <ng-template #header>
                              <div>New Track 1</div>
                            </ng-template>
                          </e-accordionitem>
                          <e-accordionitem>
                            <ng-template #header>
                              <div>New Track 2</div>
                            </ng-template>
                          </e-accordionitem>
                        </e-accordionitems>
                      </ejs-accordion>
                    </ng-template>
                  </e-accordionitem>
                </e-accordionitems>
              </ejs-accordion>
            </ng-template>
          </e-accordionitem>
          <e-accordionitem>
            <ng-template #header>
              <div>Images</div>
            </ng-template>
            <ng-template #content>
              <ejs-accordion>
                <e-accordionitems>
                  <e-accordionitem>
                    <ng-template #header>
                      <div>Track 1</div>
                    </ng-template>
                  </e-accordionitem>
                  <e-accordionitem>
                    <ng-template #header>
                      <div>Track 2</div>
                    </ng-template>
                  </e-accordionitem>
                </e-accordionitems>
              </ejs-accordion>
            </ng-template>
          </e-accordionitem>
        </e-accordionitems>
      </ejs-accordion>
      `
})

export class AppComponent {
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

How to set the nested accordion in React Accordion

04 Sep 20268 minutes to read

React Accordion supports to render nested level of Accordion by using content property. You can give nested Accordion content inside the parent React Accordion content property by using id of nested element. The nested React Accordion can be rendered with the use of provided events, such as clicked and expanding.

import * as React from "react";
import * as ReactDOM from 'react-dom';
import { AccordionComponent, AccordionItemsDirective, AccordionItemDirective } from '@syncfusion/ej2-react-navigations';

const nestedMusicNew = () => {
  return (
    <div>
      <AccordionComponent>
        <AccordionItemsDirective>
          <AccordionItemDirective header='Track1' />
          <AccordionItemDirective header='Track2' />
        </AccordionItemsDirective>
      </AccordionComponent>
    </div>
  );
}
const nestedVideo = () => {
  return (
    <div>
      <AccordionComponent>
        <AccordionItemsDirective>
          <AccordionItemDirective header='Video Track1' />
          <AccordionItemDirective header='Video Track2' />
        </AccordionItemsDirective>
      </AccordionComponent>
    </div>
  );
}

const nestedMusic = () => {
  return (
    <div>
      <AccordionComponent>
        <AccordionItemsDirective>
          <AccordionItemDirective header='Music Track1' />
          <AccordionItemDirective header='Music Track2' />
          <AccordionItemDirective header='Music New' content={nestedMusicNew} />
        </AccordionItemsDirective>
      </AccordionComponent>
    </div>
  );
}

const nestedImages = () => {
  return (
    <div>
      <AccordionComponent>
        <AccordionItemsDirective>
          <AccordionItemDirective header='Track1' />
          <AccordionItemDirective header='Track2' />
        </AccordionItemsDirective>
      </AccordionComponent>
    </div>
  );
}

const ReactApp = () => {
  return (
    <AccordionComponent>
      <AccordionItemsDirective>
        <AccordionItemDirective header='Video' content={nestedVideo} />
        <AccordionItemDirective header='Music' content={nestedMusic} />
        <AccordionItemDirective header='Images' content={nestedImages} />
      </AccordionItemsDirective>
    </AccordionComponent>
  );
}

const root = ReactDOM.createRoot(document.getElementById('element'));
root.render(<ReactApp />);
import * as React from "react";
import * as ReactDOM from 'react-dom';
import { AccordionComponent, AccordionItemsDirective, AccordionItemDirective } from '@syncfusion/ej2-react-navigations';

const nestedMusicNew = () => {
  return (
    <div>
      <AccordionComponent>
        <AccordionItemsDirective>
          <AccordionItemDirective header='Track1' />
          <AccordionItemDirective header='Track2' />
        </AccordionItemsDirective>
      </AccordionComponent>
    </div>
  );
}
const nestedVideo = () => {
  return (
    <div>
      <AccordionComponent>
        <AccordionItemsDirective>
          <AccordionItemDirective header='Video Track1' />
          <AccordionItemDirective header='Video Track2' />
        </AccordionItemsDirective>
      </AccordionComponent>
    </div>
  );
}

const nestedMusic = () => {
  return (
    <div>
      <AccordionComponent>
        <AccordionItemsDirective>
          <AccordionItemDirective header='Music Track1' />
          <AccordionItemDirective header='Music Track2' />
          <AccordionItemDirective header='Music New' content={nestedMusicNew} />
        </AccordionItemsDirective>
      </AccordionComponent>
    </div>
  );
}

const nestedImages = () => {
  return (
    <div>
      <AccordionComponent>
        <AccordionItemsDirective>
          <AccordionItemDirective header='Track1' />
          <AccordionItemDirective header='Track2' />
        </AccordionItemsDirective>
      </AccordionComponent>
    </div>
  );
}

const ReactApp = () => {
  return (
    <AccordionComponent>
      <AccordionItemsDirective>
        <AccordionItemDirective header='Video' content={nestedVideo} />
        <AccordionItemDirective header='Music' content={nestedMusic} />
        <AccordionItemDirective header='Images' content={nestedImages} />
      </AccordionItemsDirective>
    </AccordionComponent>
  );
}

const root = ReactDOM.createRoot(document.getElementById('element'));
root.render(<ReactApp />);
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Essential JS 2 React Accordion Sample</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/tailwind3.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
    <style>
        #loader {
            color: #008cff;
            height: 40px;
            left: 45%;
            position: absolute;
            top: 45%;
            width: 30%;
        }
    </style>
</head>

<body>
    <div id='element'>
        <div id='loader'>Loading....</div></div>
</body>
</html>